echo off
cls
echo Please note:  Would you like to have the library models 
echo in the subdirectory where you have TK Solver Plus?  
echo If so, please make sure that you take the following steps:
echo ÿ
echo 1. Go to the hard drive and go into the subdirectory 
echo    where you have TK Solver Plus.
echo ÿ
echo 2. Go to the A drive and execute this batch file.
echo ÿ
echo This will make sure that the copies of the library 
echo models will be placed in the proper subdirectory 
echo on the hard drive.
echo ÿ
echo This batch file will create subdirectories
echo ROOTS, DIFFINT, DIFFEQ, SPECIAL, COMPLEX and OPTIM
echo under the current directory on drive c, and copy
echo all files from this model diskette into them.
echo ÿ
echo It is assumed that the model diskette is in drive A,
echo and that the subdirectories don't exist yet.
echo ÿ
echo If you want to cancel this batch file, press Ctrl-Break.
echo ÿ
PAUSE
echo on
md c:ROOTS
copy a:\roots\*.* c:ROOTS
md c:DIFFINT
copy a:\diffint\*.* c:DIFFINT
md c:DIFFEQ
copy a:\diffeq\*.* c:DIFFEQ
md c:SPECIAL
copy a:\special\*.* c:SPECIAL
md c:COMPLEX
copy a:\complex\*.* c:COMPLEX
md c:OPTIM
copy a:\optim\*.* c:OPTIM
